
QGIS Application - Bug report #1343

dxf2shp plugin does not distinguish between polygon and polyline correctly

2008-10-09 04:40 PM - brian -

Status: Closed

Priority: Low

Assignee:

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied:No Resolution: wontfix

Crashes QGIS or corrupts data: Copied to github as #: 11403

Description

dxf2shp plugin does not distinguish between polygon and polyline correctly.

In the attached example, polyline and polygons are both converted to lines and polygons.

Also this applies to the text as well.

Have tested dxf2shp with dxf files as r12 and 2000 dxf format.

Attached is the r12 file.

Cheers

Brian

History

#1 - 2008-10-09 04:41 PM - brian -

Sorry, test file to large to upload.

#2 - 2010-06-11 09:23 PM - Paolo Cavallini

Could you please attach a simplified version of the same file? Without it, it is difficult to test

#3 - 2010-10-23 01:40 AM - Paolo Cavallini

Please note that DXF support is being incorporated in GDAL >=1.7, so the plugin will be probably dropped as soon as it works smoothly

#4 - 2011-03-02 07:14 AM - Paolo Cavallini

Downgrading it, as GDAL should handle these cases better than the plugin now

#5 - 2011-04-16 10:01 AM - Anne Ghisla

brian, can you reproduce the bug, loading the DXF via Add vector layer dialog?

If you don't have GDAL >=1.7, can you provide the smallest example possible, e.g. a DXF with one polyline converted as polygon?

Thanks!
#6 - 2011-12-09 09:04 AM - Paolo Cavallini

- Pull Request or Patch supplied set to No

- Status changed from Open to Closed

- Assignee deleted (nobody -)

- Resolution set to wontfix

IMHO this plugin will not be maintained, as DXF can be loaded through GDAL. No work should go into fixing this.
